/**
 * app.js
 */

var assert = require('assert'),
    castaneum = require('castaneum');

assert.ok(!!castaneum, "castaneum module.");
var browser = castaneum.createBrowser();

browser.load(require('url').parse('http://slashdot.org/'), function(window, document, $) {
  console.log('\n' + document.title);
  console.log(document.location);
  $(".story .datitle").forEach(function(el) {
    console.log('\t' + el.text.substr(el.text.lastIndexOf(">") + 1));
  });
});

browser.load(require('url').parse('http://arstechnica.com/'), function(window, document, $) {
  console.log('\n' + document.title);
  console.log(document.location);
  $(".story-inner .article-title").forEach(function(el) {
    console.log('\t' + el.text);
  });
});

browser.load(require('url').parse('http://www.brothers-brick.com/'), function(window, document, $) {
  console.log('\n' + document.title);
  console.log(document.location);
  $(".post h2 a").forEach(function(el) {
    console.log('\t' + el.text);
  });
});

browser.load(require('url').parse('http://www.h-online.com/'), function(window, document, $) {
  console.log('\n' + document.title);
  console.log(document.location);
  $("h3 a").forEach(function(el) {
    console.log('\t' + el.text);
  });
});

browser.load(require('url').parse('http://news.ycombinator.com/'), function(window, document, $) {
  console.log('\n' + document.title);
  console.log(document.location);
  $(".title a").forEach(function(el) {
    console.log('\t' + el.text);
  });
});
