/**
 * app.js
 */

var assert = require('assert'),
    castaneum = require('castaneum');

assert.ok(!!castaneum, "castaneum module.");

var html = "<html><head></head><body><div class='testing alsotesting' id='greeting'>o hai!<div></body></html>";

var browser = castaneum.createBrowser();
browser.load(html, function(window, document, $) {
  console.log(document.nodeName);
  console.log($(".testing")[0].text);
  console.log($(".alsotesting")[0].text);
  console.log($("#greeting")[0].text);
  var newdiv = document.createElement("div");
});

browser.load(require('url').parse('http://slashdot.org/'), function(window, document, $) {
  console.log(document.title);
  console.log(document.location);
  $(".story .datitle").forEach(function(el) {
    console.log(el.text.substr(el.text.lastIndexOf(">") + 1));
  });
});
