/**
 * slashdot.js
 */

var castaneum = require('castaneum');

var Browser = exports.Browser = function() {
  var that = this;
  this.load(require('url').parse('http://slashdot.org/'), function(window, document, $) {
    that.title = document.title;
    that.location = document.location;
    that.posts = [];
    $(".story .datitle").forEach(function(el) {
      var post = {};
      post.title = el.text.substr(el.text.lastIndexOf(">") + 1);
      that.posts.push(post);
    });
    that.emit('loaded');
  });
};

require('sys').inherits(Browser, castaneum.Browser);
