/**
 * arstechnica.js
 */

var castaneum = require('castaneum');

var Browser = exports.Browser = function(gamertag, callback) {
  var that = this;
  this.load(require('url').parse('http://gamercard.xbox.com/' + gamertag + '.card'), function(window, document, $) {
    that.title = document.title;
    that.location = document.location;

    // build up a card "object"
    var card = {};
    card.createdAt = Date();
    card.gamertileUrl = $('.XbcgcGamertile')[0].src;
    card.repstarsUrl = $('.XbcFRAR img')[0].src;
    card.gamerscore = $('.XbcFRAR')[1].text.trim();
    card.zone = $('.XbcFRAR')[2].text.trim();
    card.recentGames = [];
    $('.XbcgcGames img').forEach(function(el) {
      var game = {};
      game.title = el.attributes._nodes['title']._nodeValue;
      game.gametileUrl = el.src;
      card.recentGames.push(game);
    });

    callback(card);
  });
};

require('sys').inherits(Browser, castaneum.Browser);
